> For the complete documentation index, see [llms.txt](https://docs.novarietygames.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.novarietygames.com/websitecreator/luascript/dom/elements/insertbefore.md).

# insertBefore

The **`insertBefore()`** method adds a Element to the end of the list of children of a element.

**Example**

<pre class="language-lua"><code class="lang-lua">local name = window.input("What is your name?","My name is ...")
<strong>local elm = document.createNode("p",{style="color:red"},string.format("Welcome %s",name))
</strong>document.querySelector("body").insertBefore(elm,1) -- Inserts at the front
</code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.novarietygames.com/websitecreator/luascript/dom/elements/insertbefore.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
